VIEWIMG_CREATE_DRAG_AND_ZOOM_INTERFACE(3)

EXPERIMENTAL_FUNC
viewimg_create_drag_and_zoom_interface - Create a drag and zoom user interface for a canvas.

SYNOPSIS
#include <karma_viewimg.h>

KPixCanvasEditorContext viewimg_create_drag_and_zoom_interface

(KWorldCanvas canvas)

DESCRIPTION
This routine will create a drag and zoom user interface for a world canvas. When the user presses the left mouse button in the canvas and moves the mouse with the button still pressed a rubber-band box will be drawn on the canvas. When the left mouse button is released the image in the rubber-banded box is zoomed to fill as much of the canvas as is possible, depending on the zoom policy.

canvas
    The world canvas object.

RETURN VALUE
The KPixCanvasEditorContext created for rubber-banding. Extra key bindings may be added to this context.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/